<?php

	class IDEALCHECKOUT_FOR_WORDPRESS_3_9_1_AND_ESHOP_6_3_11
	{
		// Return the software name
		public static function getSoftwareName()
		{
			return 'Wordpress 3.9.1 en e-Shop 6.3.11+';
		}



		// Return the software code
		public static function getSoftwareCode()
		{
			return str_replace('_', '-', substr(basename(__FILE__), 0, -4));
		}



		// Return path to main cinfig file (if any)
		public static function getConfigFile()
		{
			return SOFTWARE_PATH . DS . 'wp-config.php';
		}



		// Return path to main cinfig file (if any)
		public static function getConfigData()
		{
			$sConfigFile = self::getConfigFile();

			// Detect DB settings via configuration file
			if(is_file($sConfigFile))
			{
				return file_get_contents($sConfigFile);
			}

			return '';
		}



		// Find default database settings
		public static function getDatabaseSettings($aSettings)
		{
			$aSettings['db_prefix'] = 'wp_';
			$sConfigData = self::getConfigData();

			if(!empty($sConfigData))
			{
				$aSettings['db_host'] = IDEALCHECKOUT_INSTALL::getFileValue($sConfigData, '/define\(\'DB_HOST\', \'([^\']+)\'\);/');
				$aSettings['db_user'] = IDEALCHECKOUT_INSTALL::getFileValue($sConfigData, '/define\(\'DB_USER\', \'([^\']+)\'\);/');
				$aSettings['db_pass'] = IDEALCHECKOUT_INSTALL::getFileValue($sConfigData, '/define\(\'DB_PASSWORD\', \'([^\']+)\'\);/');
				$aSettings['db_name'] = IDEALCHECKOUT_INSTALL::getFileValue($sConfigData, '/define\(\'DB_NAME\', \'([^\']+)\'\);/');
				$aSettings['db_prefix'] = IDEALCHECKOUT_INSTALL::getFileValue($sConfigData, '/\$table_prefix ? = \'([^\']+)\';/');
				$aSettings['db_type'] = (version_compare(PHP_VERSION, '5.3', '>') ? 'mysqli' : 'mysql');
			}

			return $aSettings;
		}



		// See if current software == self::$sSoftwareCode
		public static function isSoftware()
		{
			$aFiles = array();
			$aFiles[] = SOFTWARE_PATH . DS . 'wp-config.php';
			$aFiles[] = SOFTWARE_PATH . DS . 'wp-admin';
			$aFiles[] = SOFTWARE_PATH . DS . 'wp-content' . DS . 'plugins' . DS . 'eshop';

			foreach($aFiles as $sFile)
			{
				if(!is_file($sFile) && !is_dir($sFile))
				{
					return false;
				}
			}

			return true;
		}




		// Install plugin, return text
		public static function doInstall($aSettings)
		{
			IDEALCHECKOUT_INSTALL::doInstall($aSettings);

			$sql = "SELECT `id` FROM `" . $aSettings['db_prefix'] . "eshop_emails` WHERE (`id` = '100') LIMIT 1;";
			if(!idealcheckout_database_isRecord($sql))
			{
				$sql = "INSERT INTO `" . $aSettings['db_prefix'] . "eshop_emails` (`id`, `emailType`, `emailSubject`, `emailContent`) VALUES ('100', 'Betaal bevestiging', 'iDEAL Checkout voltooid', 'Beste {FIRSTNAME},\r\n\r\nHartelijk dank voor je bestelling. Nadat wij je betaling hebben gecontroleerd zullen wij de bestelde producten zo snel mogelijk versturen.\r\n\r\n--- Uw bestelling ----------\r\n{CART}\r\n\r\n\r\n--- Uw downloads ----------\r\n{DOWNLOADS}\r\n\r\n\r\n--- Uw gegevens ----------\r\n{NAME}\r\n{CONTACT}\r\n{ADDRESS}\r\n\r\n\r\nHeeft u vragen over de afhandeling van uw bestelling, neem dan contact met ons op.\r\n\r\nMet vriendelijke groet,\r\nDe Webmaster');";
				idealcheckout_database_execute($sql);
			}
			
			$sql = "SHOW COLUMNS FROM `" . $aSettings['db_prefix'] . "idealcheckout_settings` LIKE `webshop_package`";
			
			if(!$aColumn = ic_database_getRecord($sql))
			{
				$sql = "INSERT INTO `" . $aSettings['db_prefix'] . "idealcheckout_settings` SET
`id` = NULL, 
`keyname` = 'webshop_package',
`value` = 'eshop'";
				ic_database_execute($sql);
				
			}
			else
			{
				$sql = "UPDATE `" . $aSettings['db_prefix'] . "idealcheckout_settings` SET
`value` = 'eshop' WHERE (`keyname` = 'webshop_package') LIMIT 1";
				ic_database_execute($sql);
			}
			
			
			

			return true;
		}



		// Install plugin, return text
		public static function getInstructions($aSettings)
		{
			$sHtml = '';
			$sHtml .= '
<p>1. Open het bestand /wp-content/plugins/eshop/eshop-settings-extends.php</p>
<p>2. Zoek deze code:</p>
<code>add_meta_box(\'eshop-m-ogone\', __(\'ogone\',\'eshop\'), array(&$this, \'ogone_box\'), $this->pagehook, \'normal\', \'core\');<br>
add_filter(\'eshop_error_messages\',array(&$this, \'eclass_errors\'));</code>
<p>en vervang deze met:</p>
<code>add_meta_box(\'eshop-m-ogone\', __(\'ogone\',\'eshop\'), array(&$this, \'ogone_box\'), $this->pagehook, \'normal\', \'core\');<br>
<br>
/* IDEALCHECKOUT FIX : START */<br>
add_meta_box(\'eshop-m-idealcheckoutauthorizedtransfer\', __(\'iDEAL Checkout - Eenmalige Machtiging\', \'eshop\'), array(&$this, \'idealcheckoutauthorizedtransfer_box\'), $this->pagehook, \'normal\', \'core\');<br>
add_meta_box(\'eshop-m-idealcheckoutcreditcard\', __(\'iDEAL Checkout - Creditcard\', \'eshop\'), array(&$this, \'idealcheckoutcreditcard_box\'), $this->pagehook, \'normal\', \'core\');<br>
add_meta_box(\'eshop-m-idealcheckoutdirectebanking\', __(\'iDEAL Checkout - Direct E-Banking\', \'eshop\'), array(&$this, \'idealcheckoutdirectebanking_box\'), $this->pagehook, \'normal\', \'core\');<br>
add_meta_box(\'eshop-m-idealcheckoutideal\', __(\'iDEAL Checkout - iDEAL\', \'eshop\'), array(&$this, \'idealcheckoutideal_box\'), $this->pagehook, \'normal\', \'core\');<br>
add_meta_box(\'eshop-m-idealcheckoutmaestro\', __(\'iDEAL Checkout - Maestro\', \'eshop\'), array(&$this, \'idealcheckoutmaestro_box\'), $this->pagehook, \'normal\', \'core\');<br>
add_meta_box(\'eshop-m-idealcheckoutmanualtransfer\', __(\'iDEAL Checkout - Handmatig overboeken\', \'eshop\'), array(&$this, \'idealcheckoutmanualtransfer_box\'), $this->pagehook, \'normal\', \'core\');<br>
add_meta_box(\'eshop-m-idealcheckoutmastercard\', __(\'iDEAL Checkout - Mastercard\', \'eshop\'), array(&$this, \'idealcheckoutmastercard_box\'), $this->pagehook, \'normal\', \'core\');<br>
add_meta_box(\'eshop-m-idealcheckoutmistercash\', __(\'iDEAL Checkout - MisterCash\', \'eshop\'), array(&$this, \'idealcheckoutmistercash_box\'), $this->pagehook, \'normal\', \'core\');<br>
add_meta_box(\'eshop-m-idealcheckoutpayconiq\', __(\'iDEAL Checkout - Payconiq\', \'eshop\'), array(&$this, \'idealcheckoutpayconiq_box\'), $this->pagehook, \'normal\', \'core\');<br>
add_meta_box(\'eshop-m-idealcheckoutpaypal\', __(\'iDEAL Checkout - PayPal\', \'eshop\'), array(&$this, \'idealcheckoutpaypal_box\'), $this->pagehook, \'normal\', \'core\');<br>
add_meta_box(\'eshop-m-idealcheckoutpaysafecard\', __(\'iDEAL Checkout - PaySafeCard\', \'eshop\'), array(&$this, \'idealcheckoutpaysafecard_box\'), $this->pagehook, \'normal\', \'core\');<br>
add_meta_box(\'eshop-m-idealcheckoutvisa\', __(\'iDEAL Checkout - Visa\', \'eshop\'), array(&$this, \'idealcheckoutvisa_box\'), $this->pagehook, \'normal\', \'core\');<br>
add_meta_box(\'eshop-m-idealcheckoutvpay\', __(\'iDEAL Checkout - VPAY\', \'eshop\'), array(&$this, \'idealcheckoutvpay_box\'), $this->pagehook, \'normal\', \'core\');<br>
/* IDEALCHECKOUT FIX : END  */<br>
<br>
add_filter(\'eshop_error_messages\',array(&$this, \'eclass_errors\'));</code>
<p>&nbsp;</p>
<p>3. Zoek in hetzelfde bestand deze code:</p>
<code>}<br>
<br>
function show_img($eshoppayment){</code>
<p>en vervang deze met:</p>
<code>}<br>
<br>
/* IDEALCHECKOUT FIX : START */<br>
function idealcheckoutauthorizedtransfer_box($eshopoptions) {<br>
&nbsp;&nbsp;&nbsp;&nbsp;?&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&lt;fieldset&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;p class="cbox"&gt;&lt;input id="eshop_methodc" name="eshop_method[]" type="checkbox" value="idealcheckoutauthorizedtransfer"&lt;?php if(in_array(\'idealcheckoutauthorizedtransfer\',(array)$eshopoptions[\'method\'])) echo \' checked="checked"\'; ?&gt; /&gt;&lt;label for="eshop_methodc" class="eshopmethod" class="eshopmethod"&gt;&lt;?php _e(\'Accept authorized transfer payments\', \'eshop\'); ?&gt;&lt;/label&gt;&lt;/p&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;iframe src="../idealcheckout/validate/authorizedtransfer.php" height="300" width="100%" scrolling="no" frameborder="0" style="margin: 20px 0px 20px 0px;"&gt;&lt;/iframe&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&lt;/fieldset&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&lt;?php<br>
}<br>
<br>
function idealcheckoutcreditcard_box($eshopoptions) {<br>
&nbsp;&nbsp;&nbsp;&nbsp;?&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&lt;fieldset&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;p class="cbox"&gt;&lt;input id="eshop_methodc" name="eshop_method[]" type="checkbox" value="idealcheckoutcreditcard"&lt;?php if(in_array(\'idealcheckoutcreditcard\',(array)$eshopoptions[\'method\'])) echo \' checked="checked"\'; ?&gt; /&gt;&lt;label for="eshop_methodc" class="eshopmethod" class="eshopmethod"&gt;&lt;?php _e(\'Accept creditcard payments\', \'eshop\'); ?&gt;&lt;/label&gt;&lt;/p&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;iframe src="../idealcheckout/validate/creditcard.php" height="300" width="100%" scrolling="no" frameborder="0" style="margin: 20px 0px 20px 0px;"&gt;&lt;/iframe&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&lt;/fieldset&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&lt;?php<br>
}<br>
<br>
function idealcheckoutdirectebanking_box($eshopoptions) {<br>
&nbsp;&nbsp;&nbsp;&nbsp;?&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&lt;fieldset&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;p class="cbox"&gt;&lt;input id="eshop_methodc" name="eshop_method[]" type="checkbox" value="idealcheckoutdirectebanking"&lt;?php if(in_array(\'idealcheckoutdirectebanking\',(array)$eshopoptions[\'method\'])) echo \' checked="checked"\'; ?&gt; /&gt;&lt;label for="eshop_methodc" class="eshopmethod" class="eshopmethod"&gt;&lt;?php _e(\'Accept direct e-banking payments\', \'eshop\'); ?&gt;&lt;/label&gt;&lt;/p&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;iframe src="../idealcheckout/validate/directebanking.php" height="300" width="100%" scrolling="no" frameborder="0" style="margin: 20px 0px 20px 0px;"&gt;&lt;/iframe&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&lt;/fieldset&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&lt;?php<br>
}<br>
<br>
function idealcheckoutideal_box($eshopoptions) {<br>
&nbsp;&nbsp;&nbsp;&nbsp;?&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&lt;fieldset&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;p class="cbox"&gt;&lt;input id="eshop_methodc" name="eshop_method[]" type="checkbox" value="idealcheckoutideal"&lt;?php if(in_array(\'idealcheckoutideal\',(array)$eshopoptions[\'method\'])) echo \' checked="checked"\'; ?&gt; /&gt;&lt;label for="eshop_methodc" class="eshopmethod" class="eshopmethod"&gt;&lt;?php _e(\'Accept ideal payments\', \'eshop\'); ?&gt;&lt;/label&gt;&lt;/p&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;iframe src="../idealcheckout/validate/ideal.php" height="300" width="100%" scrolling="no" frameborder="0" style="margin: 20px 0px 20px 0px;"&gt;&lt;/iframe&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&lt;/fieldset&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&lt;?php<br>
}<br>
<br>
function idealcheckoutmaestro_box($eshopoptions) {<br>
&nbsp;&nbsp;&nbsp;&nbsp;?&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&lt;fieldset&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;p class="cbox"&gt;&lt;input id="eshop_methodc" name="eshop_method[]" type="checkbox" value="idealcheckoutmaestro"&lt;?php if(in_array(\'idealcheckoutmaestro\',(array)$eshopoptions[\'method\'])) echo \' checked="checked"\'; ?&gt; /&gt;&lt;label for="eshop_methodc" class="eshopmethod" class="eshopmethod"&gt;&lt;?php _e(\'Accept maestro payments\', \'eshop\'); ?&gt;&lt;/label&gt;&lt;/p&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;iframe src="../idealcheckout/validate/maestro.php" height="300" width="100%" scrolling="no" frameborder="0" style="margin: 20px 0px 20px 0px;"&gt;&lt;/iframe&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&lt;/fieldset&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&lt;?php<br>
}<br>
<br>
function idealcheckoutmanualtransfer_box($eshopoptions) {<br>
&nbsp;&nbsp;&nbsp;&nbsp;?&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&lt;fieldset&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;p class="cbox"&gt;&lt;input id="eshop_methodc" name="eshop_method[]" type="checkbox" value="idealcheckoutmanualtransfer"&lt;?php if(in_array(\'idealcheckoutmanualtransfer\',(array)$eshopoptions[\'method\'])) echo \' checked="checked"\'; ?&gt; /&gt;&lt;label for="eshop_methodc" class="eshopmethod" class="eshopmethod"&gt;&lt;?php _e(\'Accept manual transfer payments\', \'eshop\'); ?&gt;&lt;/label&gt;&lt;/p&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;iframe src="../idealcheckout/validate/manualtransfer.php" height="300" width="100%" scrolling="no" frameborder="0" style="margin: 20px 0px 20px 0px;"&gt;&lt;/iframe&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&lt;/fieldset&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&lt;?php<br>
}<br>
<br>
function idealcheckoutmastercard_box($eshopoptions) {<br>
&nbsp;&nbsp;&nbsp;&nbsp;?&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&lt;fieldset&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;p class="cbox"&gt;&lt;input id="eshop_methodc" name="eshop_method[]" type="checkbox" value="idealcheckoutmastercard"&lt;?php if(in_array(\'idealcheckoutmastercard\',(array)$eshopoptions[\'method\'])) echo \' checked="checked"\'; ?&gt; /&gt;&lt;label for="eshop_methodc" class="eshopmethod" class="eshopmethod"&gt;&lt;?php _e(\'Accept mastercard payments\', \'eshop\'); ?&gt;&lt;/label&gt;&lt;/p&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;iframe src="../idealcheckout/validate/mastercard.php" height="300" width="100%" scrolling="no" frameborder="0" style="margin: 20px 0px 20px 0px;"&gt;&lt;/iframe&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&lt;/fieldset&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&lt;?php<br>
}<br>
<br>
function idealcheckoutmistercash_box($eshopoptions) {<br>
&nbsp;&nbsp;&nbsp;&nbsp;?&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&lt;fieldset&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;p class="cbox"&gt;&lt;input id="eshop_methodc" name="eshop_method[]" type="checkbox" value="idealcheckoutmistercash"&lt;?php if(in_array(\'idealcheckoutmistercash\',(array)$eshopoptions[\'method\'])) echo \' checked="checked"\'; ?&gt; /&gt;&lt;label for="eshop_methodc" class="eshopmethod" class="eshopmethod"&gt;&lt;?php _e(\'Accept mister cash payments\', \'eshop\'); ?&gt;&lt;/label&gt;&lt;/p&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;iframe src="../idealcheckout/validate/mistercash.php" height="300" width="100%" scrolling="no" frameborder="0" style="margin: 20px 0px 20px 0px;"&gt;&lt;/iframe&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&lt;/fieldset&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&lt;?php<br>
}<br>
<br>
function idealcheckoutpaypal_box($eshopoptions) {<br>
&nbsp;&nbsp;&nbsp;&nbsp;?&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&lt;fieldset&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;p class="cbox"&gt;&lt;input id="eshop_methodc" name="eshop_method[]" type="checkbox" value="idealcheckoutpaypal"&lt;?php if(in_array(\'idealcheckoutpaypal\',(array)$eshopoptions[\'method\'])) echo \' checked="checked"\'; ?&gt; /&gt;&lt;label for="eshop_methodc" class="eshopmethod" class="eshopmethod"&gt;&lt;?php _e(\'Accept paypal payments\', \'eshop\'); ?&gt;&lt;/label&gt;&lt;/p&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;iframe src="../idealcheckout/validate/paypal.php" height="300" width="100%" scrolling="no" frameborder="0" style="margin: 20px 0px 20px 0px;"&gt;&lt;/iframe&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&lt;/fieldset&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&lt;?php<br>
}<br>
<br>
function idealcheckoutpayconiq_box($eshopoptions) {<br>
&nbsp;&nbsp;&nbsp;&nbsp;?&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&lt;fieldset&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;p class="cbox"&gt;&lt;input id="eshop_methodc" name="eshop_method[]" type="checkbox" value="idealcheckoutpayconiq"&lt;?php if(in_array(\'idealcheckoutpayconiq\',(array)$eshopoptions[\'method\'])) echo \' checked="checked"\'; ?&gt; /&gt;&lt;label for="eshop_methodc" class="eshopmethod" class="eshopmethod"&gt;&lt;?php _e(\'Accept Payconiq payments\', \'eshop\'); ?&gt;&lt;/label&gt;&lt;/p&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;iframe src="../idealcheckout/validate/payconiq.php" height="300" width="100%" scrolling="no" frameborder="0" style="margin: 20px 0px 20px 0px;"&gt;&lt;/iframe&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&lt;/fieldset&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&lt;?php<br>
}<br>
<br>
function idealcheckoutpaysafecard_box($eshopoptions) {<br>
&nbsp;&nbsp;&nbsp;&nbsp;?&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&lt;fieldset&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;p class="cbox"&gt;&lt;input id="eshop_methodc" name="eshop_method[]" type="checkbox" value="idealcheckoutpaysafecard"&lt;?php if(in_array(\'idealcheckoutpaysafecard\',(array)$eshopoptions[\'method\'])) echo \' checked="checked"\'; ?&gt; /&gt;&lt;label for="eshop_methodc" class="eshopmethod" class="eshopmethod"&gt;&lt;?php _e(\'Accept paysafecard payments\', \'eshop\'); ?&gt;&lt;/label&gt;&lt;/p&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;iframe src="../idealcheckout/validate/paysafecard.php" height="300" width="100%" scrolling="no" frameborder="0" style="margin: 20px 0px 20px 0px;"&gt;&lt;/iframe&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&lt;/fieldset&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&lt;?php<br>
}<br>
<br>
function idealcheckoutvisa_box($eshopoptions) {<br>
&nbsp;&nbsp;&nbsp;&nbsp;?&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&lt;fieldset&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;p class="cbox"&gt;&lt;input id="eshop_methodc" name="eshop_method[]" type="checkbox" value="idealcheckoutvisa"&lt;?php if(in_array(\'idealcheckoutvisa\',(array)$eshopoptions[\'method\'])) echo \' checked="checked"\'; ?&gt; /&gt;&lt;label for="eshop_methodc" class="eshopmethod" class="eshopmethod"&gt;&lt;?php _e(\'Accept visa payments\', \'eshop\'); ?&gt;&lt;/label&gt;&lt;/p&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;iframe src="../idealcheckout/validate/visa.php" height="300" width="100%" scrolling="no" frameborder="0" style="margin: 20px 0px 20px 0px;"&gt;&lt;/iframe&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&lt;/fieldset&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&lt;?php<br>
}<br>
<br>
function idealcheckoutvpay_box($eshopoptions) {<br>
&nbsp;&nbsp;&nbsp;&nbsp;?&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&lt;fieldset&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;p class="cbox"&gt;&lt;input id="eshop_methodc" name="eshop_method[]" type="checkbox" value="idealcheckoutvpay"&lt;?php if(in_array(\'idealcheckoutvpay\',(array)$eshopoptions[\'method\'])) echo \' checked="checked"\'; ?&gt; /&gt;&lt;label for="eshop_methodc" class="eshopmethod" class="eshopmethod"&gt;&lt;?php _e(\'Accept vpay payments\', \'eshop\'); ?&gt;&lt;/label&gt;&lt;/p&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;iframe src="../idealcheckout/validate/vpay.php" height="300" width="100%" scrolling="no" frameborder="0" style="margin: 20px 0px 20px 0px;"&gt;&lt;/iframe&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&lt;/fieldset&gt;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&lt;?php<br>
}<br>
/* IDEALCHECKOUT FIX : END */<br>
<br>
function show_img($eshoppayment){</code>
<p>&nbsp;</p>
<p>4. Zoek in hetzelfde bestand deze code:</p>
<code>global $screen_layout_columns, $wpdb;<br>
$eshopoptions = get_option(\'eshop_plugin_settings\');</code>
<p>en vervang deze met:</p>
<code>global $screen_layout_columns, $wpdb;<br>
$eshopoptions = get_option(\'eshop_plugin_settings\');<br>
<br>
/* IDEALCHECKOUT FIX : START */<br>
if(empty($_GET[\'mstatus\']) || (strcasecmp($_GET[\'mstatus\'], \'general\') === 0))<br>
{<br>
&nbsp;&nbsp;&nbsp;&nbsp;$screen_layout_columns = 2;<br>
&nbsp;&nbsp;&nbsp;&nbsp;echo \'&lt;style type="text/css"&gt;div.has-right-sidebar div.hide-if-js { display: block !important; }&lt;/style&gt;\';<br>
}<br>
/* IDEALCHECKOUT FIX : END */</code>

<p>&nbsp;</p>
<p>5. Log in op je beheeromgeving van <em>WordPress</em>.</p>
<p>6. Ga naar Settings / eShop</p>
<p>7. Klik in het menu aan de bovenkant op Merchant Gateways</p>
<p>8. Scroll naar de "iDEAL Checkout - iDEAL"-box, en vink de optie "Accept iDEAL payments" aan.</p>
<p>9. Herhaal stap 7 en 8 voor de overige betaalmethoden die u wilt aanbieden in uw webshop.</p>';


			return $sHtml;
		}
	}

?>